import Request from '@/utils/request/request-util';

/**
 * 业务 - Excel表格api
 *
 */
export class BusinessExcelApi {
  /**
   * 添加
   */
  static add(params) {
    return Request.post('/businessExcel/add', params);
  }
  /**
   * 编辑
   */
  static edit(params) {
    return Request.post('/businessExcel/edit', params);
  }
  /**
   * 删除单个
   */
  static delete(params) {
    return Request.post('/businessExcel/delete', params);
  }
  /**
   * 批量删除业务关联流程
   */
  static batchDelete(params) {
    return Request.post('/businessExcel/batchDelete', params);
  }
  /**
   * 详情
   */
  static detail(params) {
    return Request.getAndLoadData('/businessExcel/detail', params);
  }
  /**
   * 列表
   */
  static list(params) {
    return Request.getAndLoadData('/businessExcel/list', params);
  }
  /**
   * 修改激活状态
   */
  static updateStatus(params) {
    return Request.post('/businessExcel/updateStatus', params);
  }
  /**
   * 保存Excel
   */
  static updateExcelContent(params) {
    return Request.post('/businessExcel/updateExcelContent', params);
  }
}
